<template>
  <CheckGroup
    :list="infoList"
    @change="handleChange"
    :default-value="defaultInfo"
    value-key="id"
    label-key="name"
  />
</template>

<script lang="ts" setup>
import CheckGroup from '@/components/checkGroup/CheckGroup.vue'
import { useNatureList } from '@/hooks/useFilterSchool'

const { natureList: infoList } = useNatureList()
const defaultInfo = ref<string[]>([])

const handleChange = (val: string[]) => {
  console.log(val)
}
</script>
